﻿
.contact_block{
  width: 100%;
  display: block;
  position: relative;
  overflow: hidden;
}
.contact_box{
  width: 1200px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  padding: 60px 0;
  position: relative;
}
.contact_title_box{
  width: 100%;
  display: block;
  text-align: center;
}
.contact_title1,
.contact_title2{
  font-size: 18px;
  color: #333333;
  letter-spacing: 1px;
}
.contact_title2{
  padding-top: 15px;
  padding-bottom: 10px;
}
.contact_en_title{
  font-size: 24px;
  color: #888888;
  font-family: "Abel";
  letter-spacing: 2px;
}
.contact-info-box{
  font-size: 0;
  width: 100%;
  display: block;
  padding: 60px 0;
}
.contact-info-img-box{
  width: 50%;
  display: inline-block;
  vertical-align: top;
  text-align: center;
}
.contact-info-img{
  display: inline-block;
}
.contact-info-form{
  width: 50%;
  display: inline-block;
  padding: 0 30px;
  box-sizing: border-box;
}
.contact-form-list{
  font-size: 14px;
  letter-spacing: 3px;
  color: #000;
}
.contact-form-list{
  width: 100%;
  display: block;
  position: relative;
  padding-bottom: 35px;
}
.contact-form-input{
  width: 100%;
  background-color: transparent;
  border: 0;
  border-bottom: 1px solid #d1d1d1;
  height: 35px;
}
.contact-lable{
  position: absolute;
  left: 0;
  top: 5px;
  font-size: 14px;
  pointer-events: none;
}

.contact-form-select{
  -webkit-appearance: none; /*Chrome*/
  -moz-appearance: none; /*FF*/
  appearance: none;/*CSS3*/
  width: 100%;
  display: block;
  border: 0;
  height: 35px;
  letter-spacing: 3px;
  font-family: "微軟正黑體";
  border-bottom: 1px solid #d1d1d1;
  outline: none;
  cursor: pointer;
}
.contact-form-textarea{
  height: 150px;
  border: 0;
  border-bottom: 1px solid #d1d1d1;
  font-size: 14px;
  letter-spacing: 3px;
  color: #000;
  width: 100%;
  resize: none;
  outline: none;
}

.contact-form-textarea:focus + .contact-lable,
.contact-form-input:focus + .contact-lable{
  display: none;
}

.button{
  width: 160px;
  height: 40px;
  max-width: 100%;
  display: block;
  position: relative;
  padding-top: 20px;
}
.button button{
  width: 100%;
  height: 100%;
  position: relative;
  box-sizing: border-box;
  border: 1px solid #d1d1d1;
  background-color: transparent;
  font-family: "微軟正黑體";
  letter-spacing: 3px;
  text-align: left;
  padding-left: 10px;
  transition: all .5s ease;
  outline: none;
  cursor: pointer;
  text-align: left;
  font-weight: bold;
}
.button button i{
  display: block;
  position: absolute;
  right: 10px;
  top: calc(50% - 6.5px);
}
.contact_line1{
  width: 1px;
  height: 100%;
  display: block;
  background-color: #d1d1d1;
  position: absolute;
  top: 0;
  left: 0;
}
.contact_line2{
  width: 1px;
  height: 100%;
  display: block;
  background-color: #d1d1d1;
  position: absolute;
  top: 0;
  right: 0;
}
.contact_line_top{
  width: 100%;
  height: 1px;
  display: block;
  background-color: #d1d1d1;
  position: absolute;
  top: 0;
  left: -480px;
}
.contact_line_bottom{
  width: 100%;
  height: 1px;
  display: block;
  background-color: #d1d1d1;
  position: absolute;
  bottom: 0;
  right: -480px;
}
.contact-info-map{
  width: 100%;
  height: 300px;
  display: block;
}
.contact-form-select-box{
  position: relative;
}
.contact-form-select-box:before{
  content: 'none';
      font-size: 0;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 7px solid transparent;
    border-top: 8px solid #000;
    border-left: 7px solid transparent;
    display: block;
    position: absolute;
    top: 14px;
    left: 120px;
}


/*表單送出*/
.contact-thanks-box,
.alert-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
  background-color: #b68e84;
  position: relative;
  padding: 80px;
  border-radius: 10px;
  z-index: 6;
}
.alert-info-box{
  position: relative;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out,
.alert-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span,
.alert-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.alert-out{
  z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

